Bug 211838 - provide equatorial coordinates also for epoch J2000.0
Summary: provide equatorial coordinates also for epoch J2000.0
Status: RESOLVED FIXED
Alias: None
Product: kstars
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Fedora RPMs Unspecified
: NOR wishlist with 10 votes (vote)
Target Milestone: ---
Assignee: Akarsh Simha
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-10-25 22:25 UTC by Lukas Middendorf
Modified: 2012-08-29 06:14 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lukas Middendorf 2009-10-25 22:25:07 UTC
Version:            (using KDE 4.3.2)
Installed from:    Fedora RPMs

It would be nice to have the equatorial coordinates for epoch J2000.0 in the details window in addition to the coordinates for the actual date.
If they appeared also in the main window in the "Focused on" box, that would be even better.
Comment 1 Akarsh Simha 2012-08-29 06:14:28 UTC
[Sorry, my account has a minor problem, so the bug didn't close with my commit. Hence, closing manually and pasting the commit log below for convenience]

Git commit 034afc3f17fb99264ef47a90b5b5169bf8134cc1 by Akarsh Simha.
Committed on 29/08/2012 at 07:57.
Pushed by asimha into branch "master".

Showing J2000.0 coordinates in the Details dialog.

TODO:

1. Fix bugs and make sure that we are _actually_ showing J2000.0.

   We _know_ this is not the case really, as per a recent discussion
   on the kstars-devel Mailing List -- some stars have catalog
   coordinates from a different epoch, but we assume they are J2000.0;

   This leads to visible errors in matching DSS overlays, for example
   (which I think I did notice at the Texas Star Party).

2. Improve the Astroinfo article on precession, to which the J2000.0
   RA and Dec labels are hyperlinked. The article on precession
   doesn't talk about epochs.

CCMAIL: kstars-devel@kde.org

M  +10   -0    kstars/dialogs/detaildialog.cpp
M  +163  -91   kstars/dialogs/details_position.ui

http://commits.kde.org/kstars/034afc3f17fb99264ef47a90b5b5169bf8134cc1